import Sequelize from 'sequelize';
import models from './models/index.js';

const sequelize = new Sequelize(
    'keke', 'root', 'Colt7500$admins1N',
    {
        logging: false,
        host: '127.0.0.1',
        dialect: 'mysql'
    }
);

models(sequelize);

const syncDatabase = async () => {
    try {
        await sequelize.sync({ alter: true });
        console.log('База данных успешно синхронизирована.');
    } catch (error) {
        console.error('Ошибка при синхронизации базы данных:', error);
        throw error;
    }
};

export default sequelize;

export { sequelize, syncDatabase };